server:
  port: 0
eureka:
  client:
    serviceUrl:
      #defaultZone: http://192.168.5.10:8761/eureka/
      defaultZone: http://localhost:8761/eureka/
  instance:
    prefer-ip-address: true
    #ip-address: 192.168.0.179 #para lanzar el microservicio en local
    
logging:
  level:
    org.springframework: INFO
    com.teknei.bid: INFO
  pattern:
    console: "%d{yyyy-MM-dd HH:mm:ss} - %msg%n"
    file: "%d{yyyy-MM-dd HH:mm:ss} [%thread] %-5level %logger{36} - %msg%n"
  file: log/tkn-service-contract-api-log.log
spring:
  datasource:
    driver-class-name: org.postgresql.Driver
    url: jdbc:postgresql://192.168.5.10:5432/bid
    username: postgres
    password: admin
  jpa:
    properties:
      hibernate:
        dialect: org.hibernate.dialect.PostgreSQLDialect
        
karalundiCertV3:
  service: https://wsautosign.doc2sign.com/Doc2SignLite.svc
  user: 3C60DACB-A7BE-41CB-A413-E94E9040ED56
  pass: C24FC6D6-9B2D-4ECA-BAAC-549FD0EA10D9
  
tkn:
  cert:
    psc-sign-active: false
    secret:
      genCert: secret_cert01
      signDoc: secret_cert02
      nom151: secret_cert03
    absPath: /home/psc
    scriptStep01: generate_cert_step_01.py
    scriptStep02: tkn-sign-doc.jar
    scriptStep03: tkn-nom151.jar
    wsdlStep01: https://ecsweb.sedeb2b.com:9125/EdicomCryptoServer/services/cert
    wsdlStep02: https://212.49.145.110:9125/EdicomCryptoServer/services/cert/firma
    wsdlStep03: https://ecsweb.sedeb2b.com:9025/EdicomCryptoServer/services/enom151
    sslTarFile: SSL.tar.gz
    certPass: BID
    active: false
    step02User: BID170328LY0_SBDL
    step03User: BID170328LY0_SBDL
    step02Password: plpn0wpcd9
    step03Password: shmkaua3k4
    isTest: false
  crypto:
    url: xx
    log_output: xx
    secret: xx
  contract:
    type:
      withSerial: false
      withSabadellV1: false
    thumb:
      width: 90
      height: 60
    provider: odt
    odt:
      odtTemplate: /home/osboxes/BID/contracts/odt/templates/plantilla.odt
      odtTemplateSabadell: /home/osboxes/BID/contracts/odt/templates/plantilla_sabadell.odt
      pythonFile: /home/osboxes/BID/contracts/odt/templates/contract_generator.py
      pythonFileWithTs: /home/osboxes/BID/contracts/odt/templates/contract_generator.py
      pythonFileSabadellV1: /home/osboxes/BID/contracts/odt/templates/contract_generator_sabadell_v1.py
      pythonFileSabadellV2: /home/osboxes/BID/contracts/odt/templates/contract_generator_sabadell_v2.py
      pdfFolder: /home/osboxes/BID/contracts/odt/PDF
      labels:
        customer:
          cert:
            serial: "Certificado de autenticidad"
            date: "Fecha de certificado"
        bank:
          cert:
            serial: "Certificado de autenticidad"
            date: "Fecha de certificado"
        sign:
          datePattern: "dd MMMM yyyy"
    signed:
      tempPath: /home/osboxes/BID/contracts/sign
      javaComponent: /home/osboxes/BID/contracts/sign/tkaddhuellapdf.jar
      javaFullPath: java
      #javaFullPath: C://Program Files//Java//jdk1.8.0_161//bin//java.exe
      colorScript: /home/osboxes/BID/psc/image_color_replace.py
    sign:
      #coords: "15 400 450"
      coords: "12 470 120"
  tas:
    user: Admin
    password: password
    url: http://192.168.5.10:8080/tas/rest/api/v1
#   url2: https://www.buroidentidad.com:48080/tas/rest/api/v1
#   url2: http://189.203.240.16:48080/tas/rest/api/v1
    url2: http://172.20.132.12:28080/tas/rest/api/v1
    anverse: bid:Anverso
    reverse: bid:Reverso
    face: bid:Rostro
    identification: bid:IDENTIFICACION
    fingers: bid:Minucia
    reference: bid:REFERENCIA
    scan: bid:ScanId
    selfie: bid:Selfie
    recording: bid:Grabacion
    address: bid:Comprobante
    id: bid:OperationId
    casefile: bid:Expediente
    idType: bid:TipoID
    name: bid:Nombre
    surname: bid:PrimerApellido
    lastname: bid:SegundoApellido
    date: bid:Fecha
    contract: bid:Contrato
    signedContract: bid:ContratoFirmado
    singleFinger: bid:Dedo
    contractPrefilled: bid:ContratoHuellas
    nom151: bid:NOM151
  exstream:
    outputXMLFile: /opt/Exstream/Compositor/Contrato/HSBC_Datos.xml
    outputPDFFile: /opt/Estream/Compositor/Contrato/HSBC_Salida.PDF
    command: /opt/Exstream/Compositor/Contrato/HSBC_Componer.sh